Jump to content

Archived

This topic is now archived and is closed to further replies.

casa

petit conseil

Recommended Posts

bonjour,

voila je veux monter un serveur de messagerie pour 200 - 1000 users

j'ai un serveur dedier qui tourne sous debiant stable

j'ai test ispman + postfix + open ldap et j'en sui pas troptrop content

c'est chiant pour manager les user sous forme user_domaine_com

voila queceque vous me conseiller comme serveur de messagerie qui tourne sous postfix avec au mini une petit console pour gerer les differente boite

faut aussi que ce soit multidomaine !!!

et SURTOUT que les user puisse s'identifier sous la forme

user@domaine.com

encore merci

Share this post


Link to post
Share on other sites

voila je veux monter un serveur de messagerie pour 200 - 1000 users

j'ai un serveur dedier qui tourne sous debiant stable

:D

sinon, pour ton pb, dsl, serveur de messagerie je ne connais pas trop....

Share this post


Link to post
Share on other sites

C'est quoi, postfix? :D :D

...je regarde ce que c'est dès que j'ai le temps (au boulo? :mdr:)

Share this post


Link to post
Share on other sites

oui oui postfix ou qmail

mais bon apparament postfix est plus souple

Share this post


Link to post
Share on other sites

:youhou:

sinon, pour ton pb, dsl, serveur de messagerie je ne connais pas trop....

c'est pas un brin de freepost, ça ? :dent:

pour revenir au message initial ...

ici j'ai un postfix pour ~500 users, en HA qui plus est, et l'admin des comptes se fait par des administrateurs lambda via Webmin ...

on tente l'intégration LDAP dans qq semaines, si tu peux tenir jusque là ?

Share this post


Link to post
Share on other sites

non, le :eeek2: etait justement la pour indiquer que le choix de prendre un server dedie en debian stable est un excellent choix.... Tu m'en veux aujourd'hui sandeman ou quoi ??? :youhou:

Share this post


Link to post
Share on other sites

non, du tout :)

mais faut pas m'en vouloir je suis de retour de congés, et grrr ...

je m'intérrogeais seulement sur le fonctionnement du forum - et j'espèrais que, contrairement à d'autres rubriques du chan, quantité et qualité soient décorellés. J'ai envoyé un post bien technique sur hardware, une obscure histoire de slave/master sur mon bipro... bah en gros la seule réponse que j'ai eu, c'est "Mikeizback : bizarre ton truc" ...

Share this post


Link to post
Share on other sites
oui oui postfix ou qmail

mais bon apparament postfix est plus souple

Qmail n'est NI OPEN-SOURCE NI LIBRE. Il a une license à la con, mais alors vraiment à la con. En gros tu peux redistribuer que les sources. Si tu veux redistribuer les binaires, il faut qu'ils soient exactement identiques (même MD5SUM) et placés exactement au même endroit que si tu l'avais compilé à la main.

QMail c'était bien quand on avait pas d'alternatives, quand c'était ça ou sendmail. Maintenant qu'il y a postfix, faut oublier qmail.

En plus, qmail a pas évolué depuis plusieurs années. Tous les changements se font par l'ajout de patches externes, ce qui est ridicule.

Bon, Qmail a quand même des avantages techniques, mais il a vraiment trop une license à la con.

A+

Gauret

Share this post


Link to post
Share on other sites
J'ai envoyé un post bien technique sur hardware, une obscure histoire de slave/master sur mon bipro... bah en gros la seule réponse que j'ai eu, c'est "Mikeizback : bizarre ton truc" ...

lol... je vais voir :francais:

Share this post


Link to post
Share on other sites

ben j'ai essayer la semaine derniere ldap avec

ispman : postfix : cyrus : openldap

bref sa tournais mais les user s'enregistre sous la forme

user_domaine_com

alors que moi pour mon assos il me faut obligatoirement

user@domaine.com

j'ai tenter d'installer perdition et sa ma foutu le gros tres gros caca

donc j'ai toous reformater et je sais plus trop koi installer

:8

Share this post


Link to post
Share on other sites

Tu es sur qu'avec un remap en canonical des users postfix tu peux pas passer de user@domain.com vers user_domain_com. Avec un expression régulière par exemple ?

Sinon tu fais un démon qui écoute sur le port 25 qui fait un s:/_/@/ à la volée ... :transpi:

Share this post


Link to post
Share on other sites

oulalalal

je suis pas si baleise je commence sa fait juste 1 mois sur linux

je suis un jeune transfuge de chez totnton crosft

enfet c'est pas postfix qui pose probleme mais cyrus

j'ai trouver un howto mais marche po

sa me gonfle car je suis sur que j'etais pas loing !!!!!

http://www.azxws.com/ispman/ispman-debian-...rdition|outline

enfet je crois que perdition fait ce que tu preconise non ?

Share this post


Link to post
Share on other sites

Si c'est cyrus qui t'emmerde, tu peux aussi utiliser courier, ça marche bien (bien que ce soit intéressant de trouver comment marche cyrus, c'est un bon prog)

A+

Gauret

Share this post


Link to post
Share on other sites

ARF SA ENCORE MERDR BORDEL

pfffffff marre

comment remettons une debian nikel comme neuve sachant que le serveur

n'est pas chez moi

j'ai access ssh

sa a planter en plein milieux del'install de alternc

Share this post


Link to post
Share on other sites

comment remettons une debian nikel comme neuve sachant que le serveur

Le plus simple; avoir une passerelle internet haut debit, + sarge net install. Sinon, tu peux bien entendu recuperer ta debian, car c'est assez coriace comme distrib, mais tout depend de ce que tu as fait, et de ce que tu entends par nickel comme neuve ?

Share this post


Link to post
Share on other sites

je suis vraiment desesperer

bordel je vient de payer 80 euros pour que mon hébergeur me remette

ma debian et je vient de tous flinguer 2 mm apres

marre de marre

en voulant installer alternc sa a peter d'un coups

et maintenant impossible de faire koi que ce soit

apt-get remove alternc

j'ai

You might want to run `apt-get -f install' to correct these:

Sorry, but the following packages have unmet dependencies:

apache-ssl: Depends: mime-support but it is not going to be installed

Depends: apache-common (>= 1.3.26-0) but it is not going to be installed

Depends: apache-common (< 1.3.27-0) but it is not going to be installed

Depends: openssl (>= 0.9.6) but it is not going to be installed

at: Depends: mail-transport-agent

courier-authdaemon: Depends: courier-base (>= 0.37.3) but it is not going to be installed

mailx: Depends: mail-transport-agent

postfix-ldap: Depends: postfix

Depends: postfix (= 1.1.11-0.woody3)

postfix-pcre: Depends: postfix

Depends: postfix (= 1.1.11-0.woody3)

E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

je suis vraiment degouter.

Share this post


Link to post
Share on other sites

bordel je vient de payer 80 euros pour que mon hébergeur me remette

ma debian

J'ai mal aux oreilles a entendre ca... Debian est ( etait, depui sl'arrive de gentoo ) la seule distribution linux non commerciale....C'est quoi le delire avec ton hebergeur ? 80€ en plus, putain !!! Y a des tutos debian sur ce site, ils ne sont pas trop mauvais ( ben je vais pas dire le contraire, je suis co-auteur de la plupart... :yes: ) et tu pourras facilement installer une debian sans pb. Et ca te coutera que qq heures au pire !

j'y crois pas ... :eeek2::incline:

Share this post


Link to post
Share on other sites

Elle est pas pétée trop grave

fait un apt-get -f install comme il dit, déjà

enfin si tu supprimes libssl, n'aies pas espoir de refaire du ssh après, alors achtung ...

80€ ... bah il amis un technicien qui a passé 1+h en console ... faut bien qu'ils vivent les hébergeurs :incline:

Share this post


Link to post
Share on other sites

je vient de faire un apt-get -f install

sa butte au meme endroit ( pistolet poison ou je saute par la fenetre ?)

erreur

------------------------------------------------------------------------------

ik86:~# apt-get install -f

Reading Package Lists... Done

Building Dependency Tree... Done

Correcting dependencies... Done

The following extra packages will be installed:

apache-common courier-base mime-support openssl postfix

The following NEW packages will be installed:

apache-common courier-base mime-support openssl postfix

0 packages upgraded, 5 newly installed, 0 to remove and 1 not upgraded.

12 packages not fully installed or removed.

Need to get 0B/2251kB of archives. After unpacking 6623kB will be used.

Do you want to continue? [Y/n] y

Preconfiguring packages ...

(Reading database ... 11628 files and directories currently installed.)

Unpacking mime-support (from .../mime-support_3.18-1.3_all.deb) ...

dpkg: error processing /var/cache/apt/archives/mime-support_3.18-1.3_all.deb (--unpack):

unable to stat `./usr/share/man/man1' (which I was about to install): Input/output error

Unpacking apache-common (from .../apache-common_1.3.26-0woody5_i386.deb) ...

dpkg: error processing /var/cache/apt/archives/apache-common_1.3.26-0woody5_i386.deb (--unpack):

unable to stat `./usr/share/man/man1' (which I was about to install): Input/output error

dpkg-deb: subprocess paste killed by signal (Broken pipe)

Unpacking openssl (from .../openssl_0.9.6c-2.woody.6_i386.deb) ...

dpkg: error processing /var/cache/apt/archives/openssl_0.9.6c-2.woody.6_i386.deb (--unpack):

unable to stat `./usr/share/man/man1' (which I was about to install): Input/output error

dpkg-deb: subprocess paste killed by signal (Broken pipe)

Unpacking courier-base (from .../courier-base_0.37.3-2.5_i386.deb) ...

dpkg: error processing /var/cache/apt/archives/courier-base_0.37.3-2.5_i386.deb (--unpack):

unable to stat `./usr/share/man/man1' (which I was about to install): Input/output error

dpkg-deb: subprocess paste killed by signal (Broken pipe)

Unpacking postfix (from .../postfix_1.1.11-0.woody3_i386.deb) ...

Leaving `diversion of /usr/share/man/man8/smtpd.8.gz to /usr/share/man/man8/smtpd.real.8.gz by postfix'

dpkg: error processing /var/cache/apt/archives/postfix_1.1.11-0.woody3_i386.deb (--unpack):

unable to stat `./usr/share/man/man1' (which I was about to install): Input/output error

dpkg-deb: subprocess paste killed by signal (Broken pipe)

Errors were encountered while processing:

/var/cache/apt/archives/mime-support_3.18-1.3_all.deb

/var/cache/apt/archives/apache-common_1.3.26-0woody5_i386.deb

/var/cache/apt/archives/openssl_0.9.6c-2.woody.6_i386.deb

/var/cache/apt/archives/courier-base_0.37.3-2.5_i386.deb

/var/cache/apt/archives/postfix_1.1.11-0.woody3_i386.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

------------------------------------------------------------------------------------------

j'essaye un apt-get remove pareil il veux pas sortir de la

c'est pas ma sourcelist qui est un peux pourri ?

Share this post


Link to post
Share on other sites

Input/output error : aïe aïe ...

disque cassé, ou disque plein, ou montage réseau HS ...

que disent les dernières lignes de dmesg ?

tu devrais faire un fsck de ton disque, ça sent pas bon :(

Share this post


Link to post
Share on other sites

×
×
  • Create New...